require 'json'

class Card

  @@card_types = []

  def initialize(card_type, theme)
    @card_type = card_type
    @theme = theme

    if !Card.get_card_types.include? @card_type
      @card_type = nil
      @theme = nil
      raise ArgumentError.new("Invalid card_type: " +  card_type)
    end

  end

  def self.get_card_types
    if !@@card_types || @@card_types.size == 0
      file = File.read("lib/model/card_types.json");
      @@card_types = JSON.parse(file)["card_types"]
    end
    @@card_types
  end

  def get_image_path
    "../../tarot-cards/#{@theme}/#{@card_type}.jpg"
  end
  def is_major_arcana
    false
  end

  def is_minor_arcana
    false
  end
end
